Bug 830425 - [abrt] libreoffice-core-3.5.3.2-3.fc17: SfxDispatcher::FlushImpl(): Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.3.2-3.fc17: SfxDispatcher::FlushImpl(): Process /...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:40616e7a5b18b372e9644ab4640...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-09 09:15 EDT by Toon Verstraelen
Modified: 2012-06-11 03:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-11 03:00:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (21.53 KB, text/plain)
2012-06-09 09:15 EDT, Toon Verstraelen
no flags Details
File: backtrace (35.93 KB, text/plain)
2012-06-09 09:15 EDT, Toon Verstraelen
no flags Details
File: maps (51.21 KB, text/plain)
2012-06-09 09:15 EDT, Toon Verstraelen
no flags Details
File: dso_list (11.61 KB, text/plain)
2012-06-09 09:15 EDT, Toon Verstraelen
no flags Details
File: build_ids (4.60 KB, text/plain)
2012-06-09 09:15 EDT, Toon Verstraelen
no flags Details

  None (edit)
Description Toon Verstraelen 2012-06-09 09:15:43 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 3
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///tmp/2131%20nl%20%20def%20curatieve%20behandeling.doc --splash-pipe=6
comment:        Just started libreoffice calc from the gnome shell, while thunderbird and the package updater were running.
crash_function: SfxDispatcher::FlushImpl()
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.3.7-1.fc17.x86_64
pid:            2602
pwd:            /home/toon
time:           Fri 08 Jun 2012 09:54:06 PM CEST
uid:            1000
username:       toon
xsession_errors: 

backtrace:      Text file, 36791 bytes
build_ids:      Text file, 4715 bytes
dso_list:       Text file, 11888 bytes
event_log:      Text file, 22042 bytes
maps:           Text file, 52435 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/toon/8

core_backtrace:
:09507c945a561836241b484a2329ebbdb1751475 0x17e27f SfxDispatcher::FlushImpl() libsfxlo.so -
:ce41524d1b2813c55c730b73f9853c0dfc2fac2b 0x92ebd GetSbData() libsblo.so -
:ce41524d1b2813c55c730b73f9853c0dfc2fac2b 0x8c109 StarBASIC::SetGlobalErrorHdl(Link libsblo.so -
:- 0x0 - - -

environ:
:XDG_VTNR=2
:XSUNTRANSPORT=shmem
:ORBIT_SOCKETDIR=/tmp/orbit-toon
:XDG_SESSION_ID=8
:HOSTNAME=zeug
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=2587
:GPG_AGENT_INFO=/run/user/toon/keyring-xA8Ybt/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XRE_PROFILE_NAME=
:GJS_DEBUG_OUTPUT=stderr
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/run/user/toon/keyring-xA8Ybt
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:PROMPT_DIRTRIM=3
:MOZILLA_FIVE_HOME=/usr/lib64/firefox
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=toon
:XRE_PROFILE_LOCAL_PATH=
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64:/usr/lib64/firefox:/usr/lib64/firefox/plugins:/usr/lib64/firefox
:XRE_START_OFFLINE=
:SSH_AUTH_SOCK=/run/user/toon/keyring-xA8Ybt/ssh
:LIBPATH=/usr/lib64/firefox:/usr/lib64/firefox
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2037,unix/unix:/tmp/.ICE-unix/2037
:GNOME_DISABLE_CRASH_DIALOG=1
:MOZ_APP_LAUNCHER=/usr/bin/firefox
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-writer.desktop
:MOZ_PLUGIN_PATH=/usr/lib64/mozilla/plugins:/usr/lib64/firefox/plugins
:MAIL=/var/spool/mail/toon
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/toon/.local/bin:/home/toon/bin
:DESKTOP_SESSION=gnome
:FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox/res/Xft
:QT_IM_MODULE=xim
:PWD=/home/toon
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=2033
:LANG=en_US.UTF-8
:XRE_PROFILE_PATH=
:XSUNSMESIZE=512
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/toon
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:DYLD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:LOGNAME=toon
:CVS_RSH=ssh
:MOZ_GRE_CONF=/etc/gre.d/gre64.conf
:MOZ_LAUNCHED_CHILD=
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-3PldkbtrM4,guid=988e9380f4622d7d1c0a599a0000390f
:NO_EM_RESTART=
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:MOZ_CRASHREPORTER_RESTART_ARG_1=
:WINDOWPATH=2
:MOZ_CRASHREPORTER_RESTART_ARG_0=/usr/lib64/firefox/firefox
:XRE_BINARY_PATH=
:XDG_RUNTIME_DIR=/run/user/toon
:DISPLAY=:0
:'MOZ_CRASHREPORTER_DATA_DIRECTORY=/home/toon/.mozilla/firefox/Crash Reports'
:XUL_APP_FILE=
:NO_AT_BRIDGE=1
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-toon-SvKVeM/database

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29898                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29898                29898                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/toon/.xsession-errors
:pos:	2181
:flags:	0102002
:2:/home/toon/.xsession-errors
:pos:	2181
:flags:	0102002
:3:socket:[45640]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:pipe:[46377]
:pos:	0
:flags:	00
:6:pipe:[46377]
:pos:	0
:flags:	01
:7:socket:[44452]
:pos:	0
:flags:	02000002

smolt_data:
:
:
:General
:=================================
:UUID: be01cd5a-3668-4f7a-81ce-a7a03e30da09
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6415.38
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU         650  @ 3.20GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 3201
:System Memory: 3756
:System Swap: 11023
:Vendor: MSI
:System: MS-7635 1.0
:Form factor: Desktop
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11361:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:64:5218:30261) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:5218:30261) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15138:5218:30261) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15110:5218:30261) pci, None, PCI/ISA, 5 Series Chipset LPC Interface Controller
:(6523:9059:5218:30261) pci, ahci, STORAGE, JMB362/JMB363 Serial ATA Controller
:(6523:9059:5218:30261) pci, pata_jmicron, STORAGE, JMB362/JMB363 Serial ATA Controller
:(32902:15164:5218:30261) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9294:5218:30261) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:15204:5218:30261) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(4332:33128:5218:30261) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:66:5218:30261) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15170:5218:30261) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15178:5218:30261) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:5218:30261) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:5218:30261) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15180:5218:30261) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/zeug-root1 / ext4 4096 4096 2436690 857943 833535 614400 407612 407612
:/dev/sda1 /boot ext2 1024 1024 118503 32259 26064 30976 30614 30614
:/dev/mapper/zeug-home1 /home ext4 4096 4096 62565974 4258960 1651990 15663104 15383369 15383369
:

var_log_messages:
:Jun  8 21:54:06 zeug kernel: [15049.380541] soffice.bin[2602]: segfault at 3ed730a ip 00000032ca17e27f sp 00007fff7680ebd0 error 6 in libsfxlo.so[32ca000000+3dd000]
:Jun  8 21:54:08 zeug abrt[2606]: Saved core dump of pid 2602 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-06-08-21:54:06-2602 (45015040 bytes)
Comment 1 Toon Verstraelen 2012-06-09 09:15:47 EDT
Created attachment 590602 [details]
File: event_log
Comment 2 Toon Verstraelen 2012-06-09 09:15:49 EDT
Created attachment 590603 [details]
File: backtrace
Comment 3 Toon Verstraelen 2012-06-09 09:15:51 EDT
Created attachment 590604 [details]
File: maps
Comment 4 Toon Verstraelen 2012-06-09 09:15:53 EDT
Created attachment 590605 [details]
File: dso_list
Comment 5 Toon Verstraelen 2012-06-09 09:15:55 EDT
Created attachment 590606 [details]
File: build_ids
Comment 6 Stephan Bergmann 2012-06-11 03:00:13 EDT
The attached backtrace unfortunately had problems resolving symbols and unwinding the stack, so the rudimentary information available is not enough to find out more about the problem.  Feel free to reopen when you know how to reproduce this.

Note You need to log in before you can comment on or make changes to this bug.